import glob
import os

def dataloader(left_path, right_path):

    img_extensions = [".png", ".PNG", ".tif", ".TIF"]

    if os.path.isfile(left_path) and os.path.isfile(right_path):
        imgL_paths, imgR_paths = [left_path], [right_path]
    else:
        imgL_paths, imgR_paths = [], []
        for ext in img_extensions:
            tmp = sorted(glob.glob(os.path.join(left_path, f"*{ext}")))
            imgL_paths_ = [img_p for img_p in tmp if os.path.isfile(os.path.join(right_path, os.path.basename(img_p)))]
            imgR_paths_ = [os.path.join(right_path, os.path.basename(img_p)) for img_p in imgL_paths_]
            imgL_paths.extend(imgL_paths_)
            imgR_paths.extend(imgR_paths_)

    assert len(imgL_paths) == len(imgR_paths), "different number of left and right images"

    return imgL_paths, imgR_paths
