import argparse

def get_opt():
    parser = argparse.ArgumentParser(description='PSMNet')
    parser.add_argument('--left_path', type=str, default='data/test/input_pairs/left',
                        help='Path to left image or folder containing the left images of multiple pairs')
    parser.add_argument('--right_path', type=str, default='data/test/input_pairs/right',
                        help='Path to right image or folder containing the right images of multiple pairs')
    parser.add_argument('--invert_pair', action='store_true', default=False,
                        help='Exchange left and right images.')
    parser.add_argument('--out_dir', type=str, default="data/test/output",
                        help='Path to output directory.')
    parser.add_argument('--model_path', type=str, default='data/pretrained_models/finetune_PSM.tar',
                        help='Path to file with the pretrained model weights.')            
    parser.add_argument('--model', default='PSM', choices=['PSM', 'HSM', 'DeepPruner'],
                        help='Network architecture.')
    parser.add_argument('--max_disp', type=int, default=192,
                        help='Maximum disparity.')
    parser.add_argument('--cuda', action='store_true', default=False,
                        help='Enables CUDA.')
    parser.add_argument('--lr_check', action='store_true', default=False,
                        help='Left-right check.')
    parser.add_argument('--lr_thr', type=float, default=1.,
                        help='Left-right check threshold in pixel units')
    parser.add_argument('--rectify', action='store_true', default=False,
                        help='Rectify the input images. If this is not enabled they must be already rectified.')
    parser.add_argument("--roi", nargs=4, metavar=('x', 'y', 'w', 'h'), type=int, default=None,
                        help='x, y, w, h: four integers defining the rectangular ROI in the first image.\n \
                        (x, y) is the top-left corner, and (w, h) are the dimensions of the rectangle.')
    parser.add_argument('--img_scaling', type=float, default=1.,
                        help='Maximum disparity.')
    parser.add_argument('--undo_scaling', action='store_true', default=False,
                        help='Undo scaling before writing the output files (only if img_scaling > 1).')
    parser.add_argument('--hsm_level', type=float, default=1,
                        help='Output level of HSM net default is level 1 (stage 3, highest resolution),\
                        can also use level 2 (stage 2) or level 3 (stage 1, lowest resolution)')
    args = parser.parse_args()

    return args
