#!/bin/bash
#/*
# * Copyright (c) 2022, Roger Mari <roger.mari@ens-paris-saclay.fr>
# * All rights reserved.
# *
# */

set -e

# get inputs
root_dir=$1
model=$2
weights=$3
img_scaling=$4
extra_args="--undo_scaling"

# check if rectification is enabled
if [ "${5,,}" = "true" ]; then
    extra_args=$extra_args" --rectify"
else
    extra_args=$extra_args
fi

# check if invert pair
if [ "${6,,}" = "true" ]; then
    extra_args=$extra_args" --invert_pair"
else
    extra_args=$extra_args
fi

# add rectification roi if specified
if [ "${7,,}" = "true" ]; then
    extra_args=$extra_args" --roi "$8" "$9" "${10}" "${11}
else
    extra_args=$extra_args
fi

Lpath='input_0.png'
Rpath='input_1.png'
model_path=$root_dir'/data/pretrained_models/'$weights'_'$model'.tar'
out_dir='output'

python3 $root_dir/test_disparity_nets.py --left_path $Lpath --right_path $Rpath \
                                         --model $model --model_path $model_path --out_dir $out_dir \
                                         --img_scaling $img_scaling $extra_args

